Name:           plasma-applet-wifi
Summary:        Plasma applet that allow to look your wifi signal strengh
Version:        0.5
Release:        %mkrel 3
Url:            http://www.kde-look.org/content/show.php/Plasma+WiFi?content=79476 
License:        GPLv2+
Group:          Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        79476-plasma-wifi-%version.tgz
Patch0:         plasma-wifi-fix-cmake.patch
BuildRequires:  plasma-devel

%description
Plasma applet that allow to look your wifi signal strengh.

%files
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_wifi_signal.so
%_kde_appsdir/desktoptheme/default/widgets/*
%_kde_datadir/kde4/services/plasma-wifi-signal-default.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n plasma-wifi-%version 
%patch0 -p1

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%clean
%{__rm} -rf "%{buildroot}"


%changelog
* Sat Jan 10 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-3mdv2009.1
+ Revision: 328101
- Fix compilation against kde 4.2

* Wed Dec 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-2mdv2009.1
+ Revision: 315312
- Rebuild against New KDE4

  + Funda Wang <fundawang@mandriva.org>
    - preparing for upcoming plasma-movement

* Wed Aug 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-1mdv2009.0
+ Revision: 276719
- import plasma-applet-wifi


